#!/usr/bin/env python2.5
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
# MA  02110-1301, USA.
#

import glob
import os
from distutils.core import setup

version = 0.4

# files to install
inst_images = [ 'pixmaps/logo.png', 'pixmaps/stock_list-insert-unnumbered.png', 'pixmaps/stock_draw-callouts.png', 'pixmaps/stock_para.png', 'pixmaps/stock_insert-fields.png', 'pixmaps/stock_script.png', 'pixmaps/stock_insert_image.png', 'pixmaps/stock_text_bold.png', 'pixmaps/stock_insert-url.png', 'pixmaps/stock_text_italic.png', 'pixmaps/stock_list_bullet.png', 'pixmaps/stock_text-strikethrough.png', 'pixmaps/stock_list_enum.png', 'pixmaps/stock_text_underlined.png', 'pixmaps/stock_font_size.png', 'pixmaps/stock_bg_color.png', 'pixmaps/stock_font_color.png'] 
inst_dbus = [ 'maemo_wordpy.service' ]
inst_desktop = [ 'maemo-wordpy.desktop' ]
inst_icon = ['maemo-wordpy.png' ]
inst_icon_sca = ['pixmaps/maemo-wordpy.png']
inst_py = ['maemowordpy.py', 'wordpresslib.py']
inst_help = ['maemowordpy.xml']

data_files = [
  ('share/maemo-wordpy/pixmaps', inst_images),
  ('share/applications/hildon', inst_desktop),
  ('share/dbus-1/services',   inst_dbus),
  ('share/icons/hicolor/26x26/hildon/',   inst_icon),
  ('share/icons/hicolor/scalable/hildon/',   inst_icon_sca),
  ('share/maemo-wordpy',   inst_py),
  ('share/osso-help/en_GB',   inst_help),
]

setup(
  name         = 'maemo-wordpy',
  version      = version,
  description  = 'Wordpress client for Internet Tablets',
  author       = 'Daniel Martin Yerga',
  author_email = 'dyerga@gmail.com',
  url          = 'https://garage.maemo.org/projects/maemo-wordpy',
  data_files   = data_files
)
